#1  
Old 7th February 2012, 22:03
Steveorevo Steveorevo is offline
Member
 
Join Date: Feb 2010
Posts: 33
Thanks: 6
Thanked 6 Times in 5 Posts
Default FastCGI and PEAR?

Can I use FastCGI with PEAR? Switching to SuPHP runs slower but the problem doesn't appear. On Fast-CGI I get:

Warning: require_once(): open_basedir restriction in effect. File(/usr/share/php/PEAR/Exception.php) is not within the allowed path(s): (/var/www/clients/client2/web15/web:/var/www/clients/client2/web15/tmp:/var/www/ugroup.info/web:/srv/www/ugroup.info/web:/usr/share/php5:/tmp:/usr/share/phpmyadmin:/etc/phpmyadmin:/var/lib/phpmyadmin) in /var/www/clients/client2/web15/web/wp-content/plugins/backupbuddy/lib/dropbuddy/pear_includes/HTTP/Request2/Exception.php on line 47


I'm running on Ubuntu LTS 10, ISPConfig Version: 3.0.4.2 and unfortunately this is making the popular BackupBuddy under WordPress fail. Feedback greatly appreciated!

Regards,
Stephen
Reply With Quote
Sponsored Links
  #2  
Old 7th February 2012, 22:30
Steveorevo Steveorevo is offline
Member
 
Join Date: Feb 2010
Posts: 33
Thanks: 6
Thanked 6 Times in 5 Posts
Default Resolved

Simply appending /usr/share/php under site options for "PHP open_basedir" for the given site definition resolved the issue. Per falko's directions in:

http://www.howtoforge.com/forums/sho...highlight=PEAR


ISPConfig 3 Rocks!!!

Great work!
Reply With Quote
Reply

Bookmarks

Tags
fast-cgi, pear, suphp, wordpress

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Wrong apache+php user permissions filipealvarez Installation/Configuration 7 7th January 2011 19:42


All times are GMT +2. The time now is 06:03.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.